Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

This is the base class used to derive classes that represent network addresses.

The class provides an abstract representation of the address of a network resource or service.

- Constructor
  Constructs a new instance of the class.
  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Net.Sockets.AddressFamily

  Gets the address family to which the endpoint belongs.

  One of the values defined in .

  This property is read-only.

  The value returned by this property specifies the addressing scheme used by the network protocol of the current instance.

  The default implementation throws .

  Override this property to return the of the current instance.

  Use this property to obtain the information of the current instance.

  This property is required to be overridden in types derived from . 0 1.0.5000.0 2.0.0.0
- Method
  System.Net.EndPoint `` A instance that provides the address information for the new instance.

  Returns a new instance containing the address information from the specified instance.

  A new instance containing the address information from the specified instance.

  As described above.

  The default implementation throws .

  Override this method to return a instance that contains the address information from the specified .

  Use this method to obtain a instance that represents the same network resource or service as the specified .

  This method is required to be overridden in types derived from . 0 1.0.5000.0 2.0.0.0
- Method
  System.Net.SocketAddress To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
0